version: '2'
services: 

  hub:
    image: selenium/hub:latest
    container_name: selenium_hub
    privileged: true
    ports:  
        - 4444:4444
    environment:
        - GRID_TIMEOUT=120000
        - GRID_BROWSER_TIMEOUT=120000
    networks:
        - grid   
   
  chrome:
    image: selenium/node-chrome-debug:3.4.0
    container_name: selenium_chromeDebug
    privileged: true
    depends_on:
      - hub
    ports:
      - 5552:4444
    environment:
            - no_proxy=localhost
            - TZ=Europe/London
            - HUB_PORT_4444_TCP_ADDR=selenium_hub
            - HUB_PORT_4444_TCP_PORT=4444    
    networks:
      - grid        
    
  dockerfileservice:
    build:
      context: .
      dockerfile: Dockerfile-ui
    container_name: jet_dockerfileservice
    volumes:
      - "volumereport:/myvol"
    networks: 
      - grid
    depends_on:
      - hub
      - chrome  
    networks:
      - grid
    
  # dockerfile: Dockerfile

networks:
  grid:

volumes:
  volumereport:
